﻿/* DEFAULTS
----------------------------------------------------------*/

body {
	margin: 0px;
	padding: 0px;
	width: 100%;
	height: 100%;
	color: black;
	font-family: Calibri, sans-serif;
	font-size: 11pt;
}

.pseudo-link:hover, .inline-link:hover {
	color: #1d60ff;
	text-decoration: none;
}

.a:hover {
	text-decoration: none;
}


/*
	nav-link style is for top level menu in header
*/
.nav-link, .nav-link-sel {
	cursor: pointer;
	padding: 2px 10px;
	vertical-align: middle;
}

.nav-link-inactive {
	padding: 2px 10px;
	vertical-align: middle;
}

.nav-link img, .nav-link-sel img {
	vertical-align: middle;
}

/*
	popup-hdr is for ASPxPopUpControl headers. Contains Title and Close Button
*/
.popup-hdr {
	border-collapse: collapse;
	border-spacing: 0px;
	border: none;
	color: white;
	width: 100%;
}

	.popup-hdr td {
		padding-top: 4px;
		padding-bottom: 4px;
		padding-left: 3px;
		padding-right: 3px;
		height: 26px;
		white-space: nowrap;
		vertical-align: middle;
	}

		.popup-hdr td:first-child {
			padding-left: 12px;
			width: 100%;
		}

		.popup-hdr td:last-child {
			padding-right: 6px;
			padding-left: 6px;
			cursor: pointer;
			white-space: nowrap;
		}

			.popup-hdr td:last-child:hover {
				background-color: crimson
			}

	.popup-hdr img {
		vertical-align: middle;
	}
/*
	nav-tab style is for Tab Controls
*/
.nav-tab, .nav-tab-sel {
	border-collapse: collapse;
	border-spacing: 0px;
	border: none;
	color: white;
}
	/*.nav-tab-sel {
	background-color: #5B7CAE;
}
.nav-tab:hover {
	background-color: #5B7CAE;
}
.nav-tab {
	background-color: grey;
}
*/

	.nav-tab td, .nav-tab-sel td {
		padding-top: 3px;
		padding-bottom: 3px;
		padding-left: 3px;
		padding-right: 3px;
		/*height: 26px;*/
		white-space: nowrap;
		vertical-align: middle;
	}

		.nav-tab td:first-child, .nav-tab-sel td:first-child {
			padding-left: 12px;
		}

		.nav-tab td:last-child, .nav-tab-sel td:last-child {
			padding-right: 6px;
			padding-left: 6px;
			cursor: pointer;
		}

			.nav-tab td:last-child:hover, .nav-tab-sel td:last-child:hover {
				background-color: crimson
			}

	.nav-tab img, .nav-tab-sel img {
		vertical-align: middle;
	}

/*
	csvImport-tab style is for Tab Controls in manual CSV Impport
*/
.csvImport-tab, .csvImport-tab-sel {
	border-collapse: collapse;
	border-spacing: 0px;
	border: none;
	color: white;
}
	/*.csvImport-tab-sel {
	background-color: #5B7CAE;
}
.csvImport-tab:hover {
	background-color: #5B7CAE;
}
.csvImport-tab {
	background-color: grey;
}
*/

	.csvImport-tab td, .csvImport-tab-sel td {
		padding-top: 4px;
		padding-bottom: 4px;
		padding-left: 3px;
		padding-right: 3px;
		height: 26px;
		white-space: nowrap;
		vertical-align: middle;
	}

		.csvImport-tab td:first-child, .csvImport-tab-sel td:first-child {
			padding-left: 20px;
		}

		.csvImport-tab td:last-child, .csvImport-tab-sel td:last-child {
			padding-right: 6px;
			padding-left: 6px;
			cursor: pointer;
		}

			.csvImport-tab td:last-child:hover, .csvImport-tab-sel td:last-child:hover {
				background-color: crimson
			}

	.csvImport-tab img, .csvImport-tab-sel img {
		vertical-align: middle;
	}


/*
	mainbar styles are for toolbars in ASPxPanel under tab
	monbar styles are for toolbars not wrapped by ASPxPanel
	addbar styles are for toolbar in content Tab tab
*/
.mainbar, .monbar {
	list-style: none;
	padding: 0px;
	margin: 0px 5px 0px 0px;
	white-space: nowrap;
	vertical-align: middle;
	line-height: 26px;
	color: white;
}

.mainbar {
	float: right;
	display: inline-block;
}

.monbar {
	display: block;
	height: 30px;
}

.addbar {
	list-style: none;
	padding: 0px 0px 0px 0px;
	margin: 0px;
	white-space: nowrap;
	vertical-align: middle;
	/*line-height: 28px;*/
	color: white;
	display: block;
}

	.mainbar > li, .monbar > li, .addbar > li {
		display: inline-block;
		vertical-align: middle;
	}

.monbar > li {
	float: right;
}

.addbar > li {
	padding: 3px 9px 3px 12px;
}

.mainbar li, .monbar li, .addbar li {
	white-space: nowrap;
	text-align: left;
	opacity: 0.4;
	filter: alpha(opacity=40);
	margin: 0px;
	line-height: normal;
}

.mainbar li, .monbar li, .addbar ul > li {
	padding: 3px 4px;
}

	.mainbar li.clickable, .mainbar li.activeItem,
	.monbar li.clickable, .monbar li.activeItem,
	.addbar li.clickable, .addbar li.activeItem {
		cursor: pointer;
	}

	.mainbar li.activeItem, .monbar li.activeItem, .addbar li.activeItem {
		opacity: 1;
		filter: alpha(opacity=100);
	}

	.mainbar li.hiddenItem, .monbar li.hiddenItem, .addbar li.hiddenItem {
		display: none !important;
	}

.mainbar img, .monbar img, .addbar img {
	vertical-align: middle;
}

.mainbar li > span, .monbar li > span, .addbar li > span {
	padding-left: 4px;
	padding-right: 4px;
}

.mainbar ul, .monbar ul, .addbar ul {
	list-style: none;
	position: fixed;
	padding: 0px;
	visibility: hidden;
	z-index: 50;
	margin-top: 1px;
	border-top: 2px solid white;
	-moz-box-shadow: 0 2px 12px rgba(0, 0, 0, 0.34375);
	-webkit-box-shadow: 0 2px 12px rgba(0, 0, 0, 0.34375);
	box-shadow: 0px 2px 12px rgba(0,0,0,0.34375);
}

.mainbar li.activeItem:hover > ul,
.monbar li.activeItem:hover > ul,
.addbar li.activeItem:hover > ul {
	visibility: visible;
}

.mainbar ul.alignright > li,
.monbar ul.alignright > li,
.addbar ul.alignright > li {
	text-align: right;
}

/* menu-list styles are for menu entries in collapsible panels on the left side*/
.menu-list {
	list-style: none;
}

	.menu-list > li {
		line-height: 1.3;
		cursor: pointer;
	}
/*
	instfilt Styles are for Installtion Filter above Datapoint List
*/
.instfilt-singlerow {
	border-collapse: collapse;
	width: 100%;
}

	.instfilt-singlerow td {
		padding: 4px 2px 4px 2px;
	}

.instfilt-firstrow {
	border-collapse: collapse;
	width: 100%;
	color: white;
	height: 30px;
}

	.instfilt-firstrow td {
		padding: 0px 2px;
	}

.collapsibleNextV {
	margin-top: 2px;
}

.collapsibleNextH {
	margin-left: 2px;
}

.collapsibleNextVH {
	margin-left: 2px;
	margin-top: 2px;
}

.pseudo-link {
	border: 0;
	background: transparent;
	text-decoration: underline;
	line-height: 1.5;
	cursor: pointer;
}

span.pseudo-link + img, span[data-dpId] + img {
	cursor: pointer;
	padding: 2px;
}

.inline-link {
	border: 0;
	background: transparent;
	text-decoration: underline;
	cursor: pointer;
	color: #1d60ff;
}

p {
	margin-bottom: 10px;
	line-height: 1.6em;
}

.formTblP1 {
	border-collapse: separate;
	border-spacing: 2px;
}
	/* Fight against new styles of DevExpress */
	.formTblP1 > tbody > tr > td, .formTblP1 > tbody > tr > th {
		padding: 1px;
		line-height: 1.6;
	}

.instTreeRow { /*used for table */
	border-collapse: collapse;
	border-spacing: 0px;
	height: 23px; /* tree row hase 3 + 4 top/bot margin */
	margin-left: 3px;
	width: 100%;
}

	.instTreeRow td {
		padding-left: 3px;
		padding-right: 3px;
	}
/* HEADINGS   
----------------------------------------------------------*/

h1, h2, h3, h4, h5, h6 {
	margin-bottom: 0px;
	color: #666666;
	text-transform: none;
	font-weight: 200;
	font-size: 1.5em;
}

h1 {
	margin-bottom: 0px;
	padding-bottom: 0px;
	font-size: 1.6em;
}

h2 {
	font-weight: 600;
	font-size: 1.5em;
}

h3 {
	font-size: 1.2em;
}

h4 {
	font-size: 1.1em;
}

h5, h6 {
	font-size: 1em;
}


/* PRIMARY LAYOUT ELEMENTS   
----------------------------------------------------------*/

.header {
	/*position: relative;*/
	margin: 0px;
	width: 100%;
	height: 100%;
	font-size: 1.2em;
	/*background: #4b6c9e;*/
}
	/* company logo */
	.header td:first-child > img {
		padding-left: 10px;
		max-height: 40px;
		vertical-align: middle;
	}

	.header h1 {
		margin: 0px;
		padding: 0px 0px 0px 4px;
		border: none;
		color: #f9f9f9;
		font-size: 1.3em;
	}




.footer {
	margin: 0px auto;
	padding: 8px 0px 0px 0px;
	color: #4e5766;
	text-align: center;
	line-height: normal;
}


/* FORM ELEMENTS   
----------------------------------------------------------*/

fieldset {
	margin: 0em 0px;
	padding: 1em;
	border: 1px solid #ccc;
}

	fieldset p {
		margin: 2px 2px 5px 2px;
	}

	fieldset.login label, fieldset.register label, fieldset.changePassword label {
		display: block;
	}

	fieldset label.inline {
		display: inline;
	}

legend {
	padding: 2px 4px 8px 4px;
}

input.textEntry {
	width: 100%;
	border: 1px solid #ccc;
}

input.passwordEntry {
	width: 100%;
	border: 1px solid #ccc;
}

div.accountInfo {
	width: 420px;
}

	div.accountInfo fieldset {
		border: none;
	}

.accountInfo .rememberMe {
	display: inline-block;
	width: 200px;
}

.submitButton {
	text-align: right;
	display: block;
}

/* MISC  
----------------------------------------------------------*/

.clear {
	clear: both;
}

.title {
	display: block;
	float: left;
	width: auto;
	text-align: left;
}

.loginDisplay {
	display: block;
	padding: 10px;
	color: White;
	text-align: right;
}

	.loginDisplay a:link {
		color: white;
	}

	.loginDisplay a:visited {
		color: white;
	}

	.loginDisplay a:hover {
		color: white;
	}

.failureNotification {
	padding: 2px;
	color: Red;
}

.tableCell {
	display: table-cell;
}

.floatLeft {
	float: left;
}

.bold {
	font-weight: bold;
}

/*.dataDescBrowserRow {
}*/

.dataDescBrowserFocusedRow {
	background-color: #D9E4FD;
}


/* not currently used in dashboard 
.dashContentHdr
{
	overflow:hidden;
	margin:0px;
	background-color:#4B6C9E;
	color:#F9F9F9;
	font-variant:normal;
}
*/

.definitionLeftAccordion > .infoZoom-collapsiblePanel-content {
	padding: 4px;
}

.monitorLeftAccordion > .infoZoom-collapsiblePanel-content {
	padding: 4px;
}

.fPreviewDivList, .rPreviewDivList, .rEntryDivList, .docPreviewDivList {
	overflow-y: auto;
	margin: 0px;
	padding: 0px 0px 0px 0px;
	width: 100%;
}

.fPreviewDiv, .rPreviewDiv, .rEntryDiv, .docPreviewDiv {
	float: left;
	overflow: hidden;
	margin: 5px 5px 5px 5px;
	padding: 10px;
	height: 290px;
	border: none;
	background-color: #f9f9f9;
}

	.fPreviewDiv > div:first-child, .rPreviewDiv > div:first-child, .rEntryDiv > div:first-child, .docPreviewDiv > div:first-child {
		/*display: table-cell;*/
		line-height: 225px;
		text-align: center;
		vertical-align: middle;
		width: 300px;
		height: 225px;
		padding: 0px;
		margin: 0px;
		background-color: white;
		overflow: hidden;
		position: relative;
	}

.fPreviewDivPrivateOverlay, .rEntryDivPrivateOverlay {
	/*background-color: darkslateblue;*/
	left: 276px;
	top: 201px;
	width: 24px;
	height: 24px;
	position: absolute;
	z-index: 1;
}

.fPreviewDiv > div:last-child, .rPreviewDiv > div:last-child, .rEntryDiv > div:last-child, .docPreviewDiv > div + div {
	text-align: center;
	width: 300px;
	overflow: hidden;
}

.docPreviewDiv > div + div {
	padding-top: 7px;
	white-space: nowrap;
}

.fPreviewDiv > div:last-child, .rPreviewDiv > div:last-child, .rEntryDiv > div:last-child {
	padding-top: 10px;
	height: 45px;
}

.fPreviewDivSel, .rPreviewDivSel, .rEntryDivSel, .docPreviewDivSel, .reportPagePreviewDivSel {
	background-color: rgb(221, 230, 253);
}


.fPreviewDiv > div > img, .rPreviewDiv > div > img, .rEntryDiv > div > img, .docPreviewDiv > div > img {
	vertical-align: middle;
	padding: 0px;
}

/*
.docPreviewDivList {
	overflow-y: auto;
	margin: 0px;
	padding: 0px 0px 0px 0px;
	width: 100%;
}

.docPreviewDiv {
	float: left;
	overflow: hidden;
	margin: 3px 3px 3px 3px;
	padding: 3px 3px 3px 3px;
	border: silver 1px solid;
}
	*/

/*.docPreviewDiv img {
	}*/

.reportPagePreviewDivList {
	overflow-y: auto;
	margin: 0px;
	padding: 0px 0px 0px 0px;
	width: 100%;
	/*height:300px;*/
}

.reportPagePreviewDiv {
	float: left;
	margin: 3px 3px 3px 3px;
	padding: 3px 3px 3px 3px;
	border: silver 1px solid;
}

	.reportPagePreviewDiv.droppable-left {
		border-left: black 3px solid;
	}

	.reportPagePreviewDiv.droppable-right {
		border-right: black 3px solid;
	}


	.reportPagePreviewDiv img {
		border: 1px solid black;
	}

.aspxUploadHidden, .aspxUploadHidden input[type='text'] {
	padding: 0px;
	border-width: 0px;
}

	.aspxUploadHidden input[type='text'] {
		opacity: 0;
		filter: alpha(opacity=0);
	}

.devexInline {
	display: inline-block;
}

.devexVAlignToLabel {
	vertical-align: -5px;
}

.imgDefLink {
	cursor: pointer;
}

.chartDataTable {
	overflow: hidden !important;
}

.navigation-toolbar-logo {
	padding: 0px !important;
}

.mySliderPanel {
	margin: 0px;
	padding: 0px 30px;
	height: 55px;
	overflow: hidden;
	position: relative;
}

	.mySliderPanel .mySlider.ui-widget {
		margin-top: 25px;
		bottom: 8px;
		border: 1px solid #c5c5c5;
	}

	.mySliderPanel .mySlider-tick-panel {
		border: 1px solid white;
		position: relative;
		top: -6px;
		background-color: rgb(242,242,242);
	}

.mySlider .handle_slider_format {
	min-width: 1.2em;
	width: auto;
	height: 1.6em;
	margin-top: -.8em;
	text-align: center;
	line-height: 1.6em;
}

.mySliderPanel .mySlider-tick-panel span {
	position: absolute;
	padding: 2px;
	text-align: center;
	border: 1px;
	margin-left: -0.6em;
}

.mySliderPanel .mySlider-tick-panel .slider-dummy-span {
	position: static !important;
	visibility: hidden;
}

.mySliderPanel .mySlider .mySlider-label {
	position: absolute;
	top: -22px;
	border: 1px solid grey;
	background-color: white;
}

.ui-slider-horizontal .ui-slider-handle {
	border: 2px;
	top: auto;
	text-align: center;
	width: 2px;
	margin-left: -3px;
	bottom: -4.5px;
	color: white;
	padding: 2px;
	display: inline-block;
	position: absolute;
}

.grid-cell-long-text {
	-ms-word-break: break-all;
	word-break: break-all;
}

.inActive-item {
	opacity: 0.4;
	filter: alpha(opacity=40);
}

.dxNoBgImage {
	background-image: none;
}

.dxEmptyRowPadding td {
	padding-top: 9px !important;
	padding-bottom: 10px !important;
}

.dxChkNoVPadding > tbody > tr > td {
	padding-top: 0px !important;
	padding-bottom: 0px !important;
}

/* Linear color transforms */

.bgLinTransWG {
	background: white;
	background: -moz-linear-gradient(left, white 0%, green 100%);
	background: -webkit-gradient(linear, left top, right top, color-stop(0%,white), color-stop(100%,green));
	background: -webkit-linear-gradient(left, white 0%,green 100%);
	background: -o-linear-gradient(left, white 0%,green 100%);
	background: -ms-linear-gradient(left, white 0%,green 100%);
	filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='white', endColorstr='green',GradientType=1 );
	background: linear-gradient(left, white 0%,green 100%);
}

.bgLinTransWY {
	background: white;
	background: -moz-linear-gradient(left, white 0%, yellow 100%);
	background: -webkit-gradient(linear, left top, right top, color-stop(0%,white), color-stop(100%,yellow));
	background: -webkit-linear-gradient(left, white 0%,yellow 100%);
	background: -o-linear-gradient(left, white 0%,yellow 100%);
	background: -ms-linear-gradient(left, white 0%,yellow 100%);
	filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='white', endColorstr='yellow',GradientType=1 );
	background: linear-gradient(left, white 0%,yellow 100%);
}

.bgLinTransWR {
	background: white;
	background: -moz-linear-gradient(left, white 0%, red 100%);
	background: -webkit-gradient(linear, left top, right top, color-stop(0%,white), color-stop(100%,red));
	background: -webkit-linear-gradient(left, white 0%,red 100%);
	background: -o-linear-gradient(left, white 0%,red 100%);
	background: -ms-linear-gradient(left, white 0%,red 100%);
	filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='white', endColorstr='red',GradientType=1 );
	background: linear-gradient(left, white 0%,red 100%);
}

.chartPopUpComment {
	width: 350px;
	position: absolute;
	background-color: white;
	border: 1px solid #9da0aa;
	border-collapse: separate;
	box-shadow: 0 2px 12px rgba(0,0,0,0.35);
}

	.chartPopUpComment div {
		text-align: center;
		padding: 0.5em;
	}

	.chartPopUpComment fieldset label::after {
		content: ' : ';
		padding: 0.2em;
	}

	.chartPopUpComment div.ui-dialog-titlebar input[type='button'] {
		float: right
	}

	.chartPopUpComment div.ui-dialog-titlebar input[value='x']:hover {
		background-color: red;
		color: white;
	}

	.chartPopUpComment fieldset label {
		display: inline-block;
		min-width: 5rem;
		padding-bottom: 0.5rem;
	}

	.chartPopUpComment fieldset textarea {
		width: 100%;
	}

.chartPopUpCommentSpin {
	display: inline-block;
	padding: 4px;
	background-color: silver;
	cursor: pointer;
}

	.chartPopUpCommentSpin:hover {
		color: white;
	}

.tblTooltipComment {
	min-width: 400px;
	max-width: 600px;
}

table.tblTooltipComment th {
	text-align: left;
	padding: 2px;
}

table.tblTooltipComment td {
	white-space: nowrap;
	text-align: left;
	padding: 2px 3px;
}
/* currently replaced textarea with span, as not yet editable, hence this is not working */
table.tblTooltipComment textarea {
	border-width: 0;
	/*data-role: none;*/
	resize: none;
	overflow-y: auto;
}

table.tblTooltipComment td[data-bind='colorbullet'] span {
	font-weight: 900;
	padding: 5px;
	font-size: 1.5em;
}

.tblTooltipComment td[data-bind='comment'] {
	white-space: normal;
}

	.tblTooltipComment td[data-bind='comment'] div {
		overflow: auto;
	}
/* jQuery styles */
.ui-selectmenu-menu {
	z-index: 100;
}

.ui-dialog {
	padding: 0px;
}

.ui-dialog-titlebar {
	color: white !important;
}

.ui-widget, .ui-widget input, .ui-widget select .ui-widget textarea, .ui-widget button {
	font-family: Calibri, sans-serif !important;
	font-size: inherit !important;
}

.ui-widget-header {
	border: none !important;
	background-image: none !important;
	font-weight: normal !important;
}

.ui-widget {
	border: none;
	color: inherit !important;
}

	.ui-widget.ui-widget-content {
		border: none;
	}

ui-dialog-titlebar {
	background-color: transparent !important;
}

.ui-corner-all {
	border: none;
	border-radius: 0px !important;
}

.ui-dialog-titlebar-close {
	background-color: transparent !important;
	background-image: url("../Img/close24.png") !important;
}

.ui-icon-closethick {
	visibility: hidden !important;
}

.ui-dialog-titlebar-close.ui-state-hover {
	background-color: crimson !important;
	background-image: url("../Img/close24.png") !important;
}

/*.dashTilePane {
}*/
.dashSepNoHOver, .reportSepNoHOver, .dashSep, .reportSep {
	background-color: transparent;
	border-color: transparent;
	border-style: solid;
}

.dashDisplay:hover .dashSep,
.reportPage:hover .reportSep {
	border-color: #fbfbfb;
	background-color: #e0e0e0;
}

.premium-symbol {
	text-align: right;
	cursor: pointer;
	padding-right: 10px !important;
}

	.premium-symbol span {
		text-align: right;
	}

td.singleGap {
	width: 20%;
}

td.doubleGap {
	width: 40%;
}

td.tripleGap {
	width: 60%;
	white-space: nowrap;
}

td.tripleGapLeft {
	width: 60%;
	white-space: nowrap;
	text-align: left;
}

table.slim td.label {
	white-space: normal;
}

td.label {
	text-align: right;
	vertical-align: top;
	white-space: nowrap;
}

.labelRM {
	text-align: right;
	vertical-align: middle;
	white-space: nowrap;
}

.labelRT {
	text-align: right;
	vertical-align: top;
	white-space: nowrap;
}

td.control {
	min-width: 132px;
}

td.wideControl {
	min-width: 400px;
}
/* does not work:
.instnet-hdr-cmb {
	color:white!important;
}
*/

.myCheckBox {
	padding: 0 3px 0 3px !important;
}

	.myCheckBox td {
		vertical-align: top;
	}

.myCheckBoxNoWrap label {
	white-space: nowrap;
}

/*only for show*/
/*table.dxeTextBox_EnEffCo {
	border: none;
}
table.dxeButtonEdit_EnEffCo {
	border: none;
}
div.sp-replacer.sp-light {
	border: none;
	background: transparent;
}
div.sp-preview {
	border: none;
}*/

.leftSide {
	text-align: right;
	vertical-align: top;
	white-space: nowrap;
	width: 50%;
}

.rightSide {
	text-align: left;
	vertical-align: top;
	white-space: nowrap;
	width: 150px;
}

/* for combination with .control or .wideControl */
.withGapBelow {
	padding-bottom: 18px !important;
}

.withGapAbove {
	padding-top: 18px !important;
}

.moveUpBy1Px {
	position: relative;
	bottom: 1px;
}
/* fix missing line at bottom of grid with invisible footer*/
.devXGridFooterInvisible td {
	padding-bottom: 0px !important;
	padding-top: 0px !important;
	border-bottom: none !important;
}

table.horizontalSpacing > tbody > tr > td {
	padding-left: 3px;
}

	table.horizontalSpacing > tbody > tr > td:first-child {
		padding-left: 0;
	}

table.verticalSpacing > tbody > tr > td {
	padding-top: 5px;
}

table.verticalSpacing > tbody > tr:first-child > td {
	padding-top: 0;
}

td.smallVerticalGap, hr.smallVerticalGap {
	height: 8px;
}

hr.smallVerticalGap {
	border: 0;
}

.selectize-control.single .selectize-input {
	background-image: inherit;
	background-repeat: inherit;
	border-radius: inherit;
	box-shadow: inherit;
	padding: 1px 16px 2px 3px;
	background-color: white;
	border: 1px solid #c0c0c0;
	font: 11pt Calibri, sans-serif;
	border-collapse: separate;
	border-spacing: 0;
	margin-bottom: -3px;
}

	.selectize-control.single .selectize-input::after {
		right: 4px;
		margin-top: -1px;
		border-width: 4px 4px 0 4px;
	}

	.selectize-control.single .selectize-input.dropdown-active::after {
		right: 4px;
		margin-top: -1px;
		border-width: 0px 4px 4px 4px;
	}

.selectize-item-text {
	overflow: hidden;
	width: inherit;
	vertical-align: bottom;
	white-space: nowrap;
	text-overflow: ellipsis;
}

.selectize-drop-down .selectize-input input {
	display: none !important;
}

.selectize-option {
	white-space: nowrap;
	vertical-align: bottom;
	padding: 4px 0px;
}

	.selectize-option > img {
		vertical-align: middle;
	}

	.selectize-option > span {
		padding: 0px 2px;
	}

.selectize-dropdown {
	font-size: inherit;
	padding: 1px;
	overflow-y: auto;
	overflow-x: hidden;
	z-index: 20000;
}

	.selectize-dropdown [data-selectable] {
		overflow: visible;
	}

	.selectize-dropdown .selectize-dropdown-content {
		overflow-x: visible;
		overflow-y: visible;
	}

.selectize-option:hover {
	background-color: #e0e0e0;
}


.switch__wrapper {
	position: relative;
	display: inline-block;
	width: 25px;
	height: 13px;
	top: 3px;
}


	/* Hide default HTML checkbox */
	.switch__wrapper input {
		opacity: 0;
		width: 0;
		height: 0;
	}

/* The slider */
.switch__slider {
	position: absolute;
	cursor: pointer;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	background-color: #ccc;
	-webkit-transition: .2s;
	transition: .2s;
	border-radius: 10px;
}

input:disabled + .switch__slider {
	opacity: 0.5;
}

.switch__slider:before {
	position: absolute;
	content: "";
	height: 9px;
	width: 9px;
	left: 2px;
	bottom: 2px;
	background-color: white;
	-webkit-transition: .2s;
	transition: .2s;
	border-radius: 50%;
}

input:checked + .switch__slider:before {
	-webkit-transform: translateX(12px);
	-ms-transform: translateX(12px);
	transform: translateX(12px);
}

.textedit__input {
	padding: 1px 4px 2px 3px;
	border: 1px solid #c0c0c0;
	background-color: white;
	font: inherit;
	line-height: normal;
	outline: 0;
	box-sizing: border-box;
}

	.textedit__input:disabled {
		color: #c0c0c0;
	}

.userSelectAll {
	-webkit-user-select: all; /* Chrome all / Safari all */
	-moz-user-select: all; /* Firefox all */
	-ms-user-select: all; /* IE 10+ */
	user-select: all; /* Likely future */
}

.fontFormula {
	font-family: Consolas, Menlo, Monaco, Lucida Console, Liberation Mono, DejaVu Sans Mono, Bitstream Vera Sans Mono, Courier New, monospace, serif;
	font-size: 13.6667px;
}

.resizeFormula textarea {
	resize: vertical;
	min-height: 37px;
}

/* reportPageDisplayToolbarItemAlignRight is for custom input fiels inside infozoom toolbar, located on report edit pages  */
.reportPageDisplayToolbarItemAlignRight input[type=number] {
	width: 4em;
}

.reportPageDisplayToolbarItemAlignRight input[type=text] {
	width: 6em;
}

.reportPageDisplayToolbarItemAlignRight input[type=text], input[type=number] {
	outline: none;
	text-align: right;
}

.reportPageDisplayToolbarItemAlignRight input[type=number]::-webkit-inner-spin-button {
	opacity: 1;
	margin-left: 4px;
}

.triangleMarkerTopLeft {
	width: 0px;
	height: 0px;
	border-left: 4px solid transparent;
	border-right: 4px solid transparent;
	border-top: 4px solid #f00;
	transform: rotate(135deg);
	display: inline-block;
	vertical-align: top;
	margin-left: -4px;
	margin-right: 2px;
	float: left;
}

.manRawRowTbl {
	border-collapse: separate;
	border-spacing: 2px;
	width: 50%;
	min-width: 400px;
	margin-left: auto;
	margin-right: auto;
}
	/* Fight against new styles of DevExpress */
	.manRawRowTbl > tbody > tr > td, .formTblP1 > tbody > tr > th {
		padding: 1px;
		line-height: 1.6;
	}

.manRawRowLblTd {
	text-align: right;
	white-space: nowrap;
}

.manRawRowTd {
}

.col,
.col-1-1,
.col-1-2,
.col-1-3,
.col-1-4 {
	display: inline-block;
	float: left;
}

.col-1-1 {
	width: 100%;
}

.col-1-2 {
	width: 50%;
}

.col-1-3 {
	width: 33.33333333%
}

.col-1-4 {
	width: 25%;
}

.container {
	margin: 10px;
}

	.container:before,
	.container:after,
	.row:before,
	.row:after {
		display: table;
		content: " ";
	}

	.container:after,
	.row:after {
		clear: both;
	}

.save-as-icon-grey {
	background-image: url("../Img/saveAs24g.png") !important;
	background-size: contain;
}

.save-icon-grey {
	background-image: url("../Img/save24g.png") !important;
	background-size: contain;
}

.boxGrayed .dxSwitcher {
	/*background-color: #0669B2 !important;*/
	background-color: white !important;
	opacity: 1 !important;
}

.letterspacing input {
	letter-spacing: 5px;
}

.dialog-overlay {
	z-index: 100000;
}

.aspxLblTxtDisabled {
	background-color: #eaeaea;
	border: 1px solid #C0C0C0;
	padding: 3px;
}

button.ui-button.ui-corner-all.ui-widget { /* https://stackoverflow.com/questions/16362301/jquery-ui-dialog-button-changes-position-on-mouse-hover */
	border: 0px;
}

button.ui-widget.ui-dialog-titlebar-close {
	right: 0em;
	height: 100%;
	background-repeat: no-repeat;
	margin: 0px;
	background-position: center center; /*center the background-image*/
	top: 0%; /*overwite jquery Top*/
	background-origin: content-box; /* enable adding padding to the background image*/
	padding: inherit; /*overwite jquery padding*/
}

.ui-dialog-titlebar-close:hover {
	background-color: crimson !important; /*used important, beacuse it was used for the same tag without hover*/
}

/* rotating hourglass in Monitor pages*/
@keyframes rotating {
	0% {
		transform: rotate(0);
	}

	100% {
		transform: rotate(1turn);
	}
}

.rotator {
	animation: rotating 4s linear infinite;
	text-align: center;
}

.rotator1s {
	animation: rotating 1s linear infinite;
	text-align: center;
}

.disable-click {
	pointer-events: none;
}

/* 2 columns grid, max width on last col with max-content */
.grid2col_lastMaxContent {
	display: grid;
	grid-template-columns: minmax(50%,auto) minmax(auto, max-content);
}
/*IE11 support*/
.grid2col_lastMaxContent {
	display: -ms-grid;
	-ms-grid-columns: 50% 50%;
}
.grid2col_IE11_col2 {	-ms-grid-column: 2; }

.LabelValidateError, .LabelValidateError > .dxeBase_EnEffCo {
	color: orangered;
}